# $Revision: 1.15 $, $Date: 2008/04/22 15:42:24 $
#
# Conditional build:
%bcond_with	system_lzma	# use system lzma instead of internal
#
Summary:	Long Range ZIP or Lzma RZIP
Summary(pl.UTF-8):	Long Range ZIP lub Lzma RZIP
Name:		lrzip
Version:	0.23
Release:	1
License:	GPL v2
Group:		Applications/Archiving
Source0:	http://ck.kolivas.org/apps/lrzip/%{name}-%{version}.tar.bz2
# Source0-md5:	a15ca1768adb50c839baabc13b0fb60a
Patch0:		%{name}-lzma.patch
URL:		http://ck.kolivas.org/apps/lrzip/
BuildRequires:	bzip2-devel
%{?with_system_lzma:BuildRequires:	lzma-devel >= 4.43-5}
BuildRequires:	lzo-devel >= 2.02-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a compression program optimised for large files. The larger
the file and the more memory you have, the better the compression
advantage this will provide, especially once the files are larger than
100MB. The advantage can be chosen to be either size (much smaller
than bzip2) or speed (much faster than bzip2). Decompression is much
always faster than bzip2.

%description -l pl.UTF-8
LRZIP to program kompresujący zoptymalizowany dla dużych plików. Im
większy jest plik i im więcej jest dostępnej pamięci, tym lepszą
kompresję można uzyskać, zwłaszcza dla plików większych niż 100MB.
Można wybrać kompresję bardziej korzystną pod względem rozmiaru (dużo
mniejszy niż bzip2) lub szybkości (dużo szybszy niż bzip2).
Dekompresja jest zawsze dużo szybsza niż bzip2.

%prep
%setup -q
%if %{with system_lzma}
rm -rf lzma
%patch0 -p1
%endif

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/lrzip
%attr(755,root,root) %{_bindir}/lrunzip
%{_mandir}/man1/lrzip.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lrzip.spec,v $
Revision 1.15  2008/04/22 15:42:24  glen
- update to 0.23

Revision 1.14  2007-12-16 17:55:33  qboosh
- bcond desc

Revision 1.13  2007-12-10 08:34:33  glen
- Con has made up new release (version 0.19)

Revision 1.12  2007-12-09 22:35:02  areq
- by default build with internal lzma (now in TH lzma-lib from tukaani)
- release 2

Revision 1.11  2007-10-31 14:17:49  glen
- bcond for system_lzma

Revision 1.10  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.8  2006/11/15 18:07:15  sparky
- updated to 0.18

Revision 1.7  2006/11/05 02:21:49  qboosh
- pl

Revision 1.6  2006/11/01 23:34:41  glen
- keep lzma dir in case of debug

Revision 1.5  2006/11/01 13:30:03  pluto
- build with system lzma, works, release 1.

Revision 1.4  2006/11/01 12:09:34  pluto
- fix lzo2 based build (TH target).

Revision 1.3  2006/10/31 18:41:21  glen
- 0.16

Revision 1.2  2006/10/31 18:13:14  glen
- 0.15

Revision 1.1  2006/10/30 21:24:44  glen
- new
